## Function template char_decor

boost::log::expressions::char_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/char_decorator.hpp>

    template<typename FromRangeT, typename ToRangeT>
      unspecified char_decor(FromRangeT const & from, ToRangeT const & to);

## Description

The function returns a decorator generator object. The generator provides `operator[]` that can be used to construct the actual decorator.

| Note
The from and to sequences mush be of the same size. Every `from[i]` substring occurrence in the output will be replaced with `to[i]`.

Parameters:

`from` | A sequence of strings that will be sought in the output.
`to` | A sequence of strings that will be used as replacements.